var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    padding: 0.75em 0.75em;\n    display: flex;\n    flex-direction: row;\n    flex-wrap: wrap;\n    width: 100%;\n    min-width: 100%;\n    color: ', ';\n    background-color: ', ';\n  }\n'], ['\n  &&& {\n    padding: 0.75em 0.75em;\n    display: flex;\n    flex-direction: row;\n    flex-wrap: wrap;\n    width: 100%;\n    min-width: 100%;\n    color: ', ';\n    background-color: ', ';\n  }\n']);

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React, { useEffect } from 'react';
import styled, { css, ThemeContext } from 'styled-components';
import PropTypes from 'prop-types';

import { clutchd, themeProps } from '../style/themes';
import { getTheme } from '../style/utils';

var propTypes = {
  theme: themeProps
};

var defaultProps = {
  theme: clutchd
};

var StyledHeader = styled.header(_templateObject, function (props) {
  return props.theme.colors.light;
}, function (props) {
  return props.theme.colors.dark;
});

/** The `Header` component... */
var Header = function Header(_ref) {
  var theme = _ref.theme,
      loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['theme', 'loading', 'children']);

  var currentTheme = getTheme(ThemeContext, theme);

  return React.createElement(
    StyledHeader,
    _extends({ theme: currentTheme }, props),
    loading ? children : children
  );
};

Header.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Header.defaultProps = defaultProps;

export default Header;