import React from 'react';
import { storiesOf } from '@storybook/react';
import Typography from '../typography';
var Text = Typography.Text;


import Menu from '../menu';
var Item = Menu.Item;


storiesOf('Menu', module).addParameters({ component: Menu }).add('Default', function () {
  return React.createElement(
    Menu,
    null,
    React.createElement(
      Item,
      null,
      'Item 1'
    ),
    React.createElement(
      Item,
      null,
      'Item 2'
    )
  );
});