var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    margin: 0 0 1em 0;\n    padding: 0;\n    margin-block-start: 0;\n    margin-block-end: 1em;\n    margin-inline-start: 0;\n    margin-inline-end: 0;\n  }\n'], ['\n  &&& {\n    margin: 0 0 1em 0;\n    padding: 0;\n    margin-block-start: 0;\n    margin-block-end: 1em;\n    margin-inline-start: 0;\n    margin-inline-end: 0;\n  }\n']);

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React, { useEffect } from 'react';
import Prism from 'prismjs';
import styled, { css } from 'styled-components';
import PropTypes from 'prop-types';
import { StyledTypography, getWrapper } from './typography';

var propTypes = {};

var defaultProps = {};

var StyledParagraph = styled(StyledTypography)(_templateObject);

/** The `Paragraph` component is meant to be used for multiline text. (block-level, content, descriptions, etc.) */
var Paragraph = function Paragraph(_ref) {
  var loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['loading', 'children']);

  var Wrapper = getWrapper(props);

  if (props.code) {
    useEffect(function () {
      Prism.highlightAll();
    }, [children]);
  }

  return React.createElement(
    Wrapper,
    null,
    React.createElement(
      StyledParagraph,
      _extends({ as: 'p' }, props),
      loading ? children : children
    )
  );
};

Paragraph.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Paragraph.defaultProps = defaultProps;

export default Paragraph;