'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react3.storiesOf)('Button', module).addParameters({ component: _button2.default }).add('Default', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      _button2.default,
      null,
      'Default'
    )
  );
}).add('Sizes', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      _button2.default,
      { size: 'xs' },
      'xs Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'sm' },
      'sm Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'md' },
      'md Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'lg' },
      'lg Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'xl' },
      'xl Button'
    )
  );
}).add('Spacing', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      _button2.default,
      { space: 'xs' },
      'xs Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { space: 'sm' },
      'sm Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { space: 'md' },
      'md Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { space: 'lg' },
      'lg Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { space: 'xl' },
      'xl Button'
    )
  );
}).add('Sizing + Spacing', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      _button2.default,
      { size: 'xs', space: 'xs' },
      'xs Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'sm', space: 'sm' },
      'sm Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'md', space: 'md' },
      'md Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'lg', space: 'lg' },
      'lg Button'
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'xl', space: 'xl' },
      'xl Button'
    )
  );
});