'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _typography = require('../typography');

var _typography2 = _interopRequireDefault(_typography);

var _grid = require('../grid');

var _grid2 = _interopRequireDefault(_grid);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = _typography2.default.Text;
var Row = _grid2.default.Row,
    Col = _grid2.default.Col;


(0, _react3.storiesOf)('Grid', module).addParameters({ component: _grid2.default }).add('Default', function () {
  return _react2.default.createElement(
    Row,
    null,
    _react2.default.createElement(
      Col,
      null,
      _react2.default.createElement(
        Text,
        null,
        'Col 1'
      )
    )
  );
});

(0, _react3.storiesOf)('Grid.Row', module).addParameters({ component: Row }).add('Default', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      Row,
      { gutter: 16 },
      _react2.default.createElement(
        Col,
        { span: 24 },
        _react2.default.createElement(
          Text,
          null,
          'Col 1'
        )
      )
    ),
    _react2.default.createElement(
      Row,
      { gutter: 16 },
      _react2.default.createElement(
        Col,
        { span: 12 },
        _react2.default.createElement(
          Text,
          null,
          'Col 2'
        )
      ),
      _react2.default.createElement(
        Col,
        { span: 12 },
        _react2.default.createElement(
          Text,
          null,
          'Col 3'
        )
      )
    )
  );
});

(0, _react3.storiesOf)('Grid.Col', module).addParameters({ component: Col }).add('Default', function () {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      Row,
      null,
      _react2.default.createElement(
        Col,
        { span: 24 },
        _react2.default.createElement(
          Text,
          null,
          'Col 1'
        )
      )
    ),
    _react2.default.createElement(
      Row,
      null,
      _react2.default.createElement(
        Col,
        { span: 12 },
        _react2.default.createElement(
          Text,
          null,
          'Col 2'
        )
      ),
      _react2.default.createElement(
        Col,
        { span: 12 },
        _react2.default.createElement(
          Text,
          null,
          'Col 3'
        )
      )
    )
  );
});