'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _typography = require('../typography');

var _typography2 = _interopRequireDefault(_typography);

var _layout = require('../layout');

var _layout2 = _interopRequireDefault(_layout);

var _grid = require('../grid');

var _grid2 = _interopRequireDefault(_grid);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = _typography2.default.Text;
var Header = _layout2.default.Header,
    Main = _layout2.default.Main,
    Footer = _layout2.default.Footer;
var Row = _grid2.default.Row,
    Col = _grid2.default.Col;


(0, _react3.storiesOf)('Layout', module).addParameters({ component: _layout2.default }).add('Default', function () {
  return _react2.default.createElement(
    _layout2.default,
    null,
    _react2.default.createElement(
      Header,
      null,
      _react2.default.createElement(
        Row,
        { align: 'stretch' },
        _react2.default.createElement(
          Col,
          { span: 6 },
          _react2.default.createElement(
            Text,
            null,
            'Logo'
          )
        ),
        _react2.default.createElement(
          Col,
          { span: 18, align: 'end' },
          _react2.default.createElement(
            Text,
            null,
            'Menu'
          )
        )
      )
    ),
    _react2.default.createElement(
      Main,
      null,
      _react2.default.createElement(
        Text,
        null,
        'This is a Main component'
      )
    ),
    _react2.default.createElement(
      Footer,
      null,
      _react2.default.createElement(
        Text,
        null,
        'This is a Footer component'
      )
    )
  );
});