'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    line-height: inherit;\n    cursor: inherit;\n    color: ', ';\n  }\n'], ['\n  &&& {\n    line-height: inherit;\n    cursor: inherit;\n    color: ', ';\n  }\n']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n  &&& {\n    padding: 0 1.5em;\n    margin: 0;\n    display: inline-block;\n    cursor: pointer;\n    border-radius: 5px;\n    margin: 1px 5px;\n    background-color: ', ';\n  }\n  &&&:hover {\n    margin: 0 4px;\n    border: 1px solid ', ';\n    box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 26px,\n      rgba(0, 0, 0, 0.075) 0px 2px 8px;\n  }\n  &&&:hover ', ' {\n    color: ', ';\n  }\n'], ['\n  &&& {\n    padding: 0 1.5em;\n    margin: 0;\n    display: inline-block;\n    cursor: pointer;\n    border-radius: 5px;\n    margin: 1px 5px;\n    background-color: ', ';\n  }\n  &&&:hover {\n    margin: 0 4px;\n    border: 1px solid ', ';\n    box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 26px,\n      rgba(0, 0, 0, 0.075) 0px 2px 8px;\n  }\n  &&&:hover ', ' {\n    color: ', ';\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _themes = require('../style/themes');

var _utils = require('../style/utils');

var _typography = require('../typography');

var _typography2 = _interopRequireDefault(_typography);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var Text = _typography2.default.Text;


var propTypes = {
  theme: _themes.themeProps
};

var defaultProps = {
  theme: _themes.clutchd
};

var StyledItemText = (0, _styledComponents2.default)(Text)(_templateObject, function (props) {
  return props.theme.colors.light;
});

var StyledItem = _styledComponents2.default.li(_templateObject2, function (props) {
  return props.theme.colors.dark;
}, function (props) {
  return props.theme.colors.primary;
}, StyledItemText, function (props) {
  return props.theme.colors.primary;
});

/**
 * The `Item` component...
 */
var Item = function Item(_ref) {
  var theme = _ref.theme,
      loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['theme', 'loading', 'children']);

  var currentTheme = (0, _utils.getTheme)(_styledComponents.ThemeContext, theme);

  return _react2.default.createElement(
    StyledItem,
    _extends({ theme: currentTheme }, props),
    loading ? children : _react2.default.createElement(
      StyledItemText,
      { theme: currentTheme },
      children
    )
  );
};

Item.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Item.defaultProps = defaultProps;

exports.default = Item;
module.exports = exports['default'];