'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _themes = require('./themes');

var _ = require('.');

var _2 = _interopRequireDefault(_);

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react3.storiesOf)('Style', module).addParameters({ component: _2.default }).add('Default', function () {
  return _react2.default.createElement(
    _button2.default,
    null,
    'Test'
  );
}).add('Primary Color', function () {
  return (
    /** For larger theme changes, a custom theme object should be created
     *
     * <Styletheme={newTheme}>
     *   <Button>Test</Button>
     * </Style>
     *
     */

    _react2.default.createElement(
      _2.default,
      {
        theme: _extends({}, _themes.clutchd, {
          colors: _extends({}, _themes.clutchd.colors, {
            primary: 'green'
          })
        })
      },
      _react2.default.createElement(
        _button2.default,
        null,
        'Test'
      )
    )
  );
});