import { useContext } from 'react';

/** Gets the wrapper `Style` component's theme.  If none exists, reverts to the components original theme.*/
export var getTheme = function getTheme(themeContext, themeProp) {
  var newTheme = useContext(themeContext);
  if (newTheme === undefined) {
    newTheme = themeProp;
  } else {
    newTheme = newTheme.theme;
  }
  return newTheme;
};