var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    margin: 0 0 0 0;\n    padding: 0;\n    display: inline;\n  }\n'], ['\n  &&& {\n    margin: 0 0 0 0;\n    padding: 0;\n    display: inline;\n  }\n']);

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React, { useEffect } from 'react';
import Prism from 'prismjs';
import styled, { css } from 'styled-components';
import PropTypes from 'prop-types';
import { StyledTypography, getWrapper } from './typography';

var propTypes = {};

var defaultProps = {};

var StyledText = styled(StyledTypography)(_templateObject);

/** The `Text` component is meant to be used for single-line text. (inline, buttons, menus, etc.) */
var Text = function Text(_ref) {
  var loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['loading', 'children']);

  var as = 'span';
  if (props.code) {
    as = 'code';
  } else if (props.emphasis) {
    as = 'em';
  } else if (props.mark) {
    as = 'mark';
  } else if (props.strong) {
    as = 'strong';
  } else if (props.strikethrough) {
    as = 'del';
  } else if (props.underline) {
    as = 'u';
  }
  var Wrapper = getWrapper(props);

  if (props.code) {
    useEffect(function () {
      Prism.highlightAll();
    }, [children]);
  }

  return React.createElement(
    Wrapper,
    null,
    React.createElement(
      StyledText,
      _extends({ as: '' + as }, props),
      loading ? children : children
    )
  );
};

Text.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Text.defaultProps = defaultProps;

export default Text;