'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    padding: 0.75em 0.75em;\n    display: flex;\n    align-items: center;\n    flex-direction: row;\n    vertical-align: middle;\n    flex-wrap: wrap;\n    width: 100%;\n    min-width: 100%;\n    color: ', ';\n    background-color: ', ';\n  }\n'], ['\n  &&& {\n    padding: 0.75em 0.75em;\n    display: flex;\n    align-items: center;\n    flex-direction: row;\n    vertical-align: middle;\n    flex-wrap: wrap;\n    width: 100%;\n    min-width: 100%;\n    color: ', ';\n    background-color: ', ';\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _themes = require('../style/themes');

var _utils = require('../style/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var propTypes = {
  theme: _themes.themeProps
};

var defaultProps = {
  theme: _themes.clutchd
};

var StyledFooter = _styledComponents2.default.footer(_templateObject, function (props) {
  return props.theme.colors.light;
}, function (props) {
  return props.theme.colors.dark;
});

/** The `Footer` component... */
var Footer = function Footer(_ref) {
  var theme = _ref.theme,
      loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['theme', 'loading', 'children']);

  var currentTheme = (0, _utils.getTheme)(_styledComponents.ThemeContext, theme);

  return _react2.default.createElement(
    StyledFooter,
    _extends({ theme: currentTheme }, props),
    loading ? children : children
  );
};

Footer.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Footer.defaultProps = defaultProps;

exports.default = Footer;
module.exports = exports['default'];