'use strict';

exports.__esModule = true;
exports.getTheme = undefined;

var _react = require('react');

/** Gets the wrapper `Style` component's theme.  If none exists, reverts to the components original theme.*/
var getTheme = exports.getTheme = function getTheme(themeContext, themeProp) {
  var newTheme = (0, _react.useContext)(themeContext);
  if (newTheme === undefined) {
    newTheme = themeProp;
  } else {
    newTheme = newTheme.theme;
  }
  return newTheme;
};