'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    margin: 0 0 1em 0;\n    padding: 0;\n    margin-block-start: 0;\n    margin-block-end: 1em;\n    margin-inline-start: 0;\n    margin-inline-end: 0;\n  }\n'], ['\n  &&& {\n    margin: 0 0 1em 0;\n    padding: 0;\n    margin-block-start: 0;\n    margin-block-end: 1em;\n    margin-inline-start: 0;\n    margin-inline-end: 0;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _prismjs = require('prismjs');

var _prismjs2 = _interopRequireDefault(_prismjs);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _typography = require('./typography');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var propTypes = {};

var defaultProps = {};

var StyledParagraph = (0, _styledComponents2.default)(_typography.StyledTypography)(_templateObject);

/** The `Paragraph` component is meant to be used for multiline text. (block-level, content, descriptions, etc.) */
var Paragraph = function Paragraph(_ref) {
  var loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['loading', 'children']);

  var Wrapper = (0, _typography.getWrapper)(props);

  if (props.code) {
    (0, _react.useEffect)(function () {
      _prismjs2.default.highlightAll();
    }, [children]);
  }

  return _react2.default.createElement(
    Wrapper,
    null,
    _react2.default.createElement(
      StyledParagraph,
      _extends({ as: 'p' }, props),
      loading ? children : children
    )
  );
};

Paragraph.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Paragraph.defaultProps = defaultProps;

exports.default = Paragraph;
module.exports = exports['default'];