'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _templateObject = _taggedTemplateLiteralLoose(['\n  &&& {\n    margin: 0 0 0 0;\n    padding: 0;\n    display: inline;\n  }\n'], ['\n  &&& {\n    margin: 0 0 0 0;\n    padding: 0;\n    display: inline;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _prismjs = require('prismjs');

var _prismjs2 = _interopRequireDefault(_prismjs);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _typography = require('./typography');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var propTypes = {};

var defaultProps = {};

var StyledText = (0, _styledComponents2.default)(_typography.StyledTypography)(_templateObject);

/** The `Text` component is meant to be used for single-line text. (inline, buttons, menus, etc.) */
var Text = function Text(_ref) {
  var loading = _ref.loading,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['loading', 'children']);

  var as = 'span';
  if (props.code) {
    as = 'code';
  } else if (props.emphasis) {
    as = 'em';
  } else if (props.mark) {
    as = 'mark';
  } else if (props.strong) {
    as = 'strong';
  } else if (props.strikethrough) {
    as = 'del';
  } else if (props.underline) {
    as = 'u';
  }
  var Wrapper = (0, _typography.getWrapper)(props);

  if (props.code) {
    (0, _react.useEffect)(function () {
      _prismjs2.default.highlightAll();
    }, [children]);
  }

  return _react2.default.createElement(
    Wrapper,
    null,
    _react2.default.createElement(
      StyledText,
      _extends({ as: '' + as }, props),
      loading ? children : children
    )
  );
};

Text.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Text.defaultProps = defaultProps;

exports.default = Text;
module.exports = exports['default'];